# Animation

Animation : `Instance`

## Overview

Animation 객체는 애니메이션의 에셋 ID를 참조하는 객체입니다.

AnimationTrack이 정상적으로 복제되기 위해서는, Animator가 반드시 Humanoid의 자식으로 포함되어야 합니다. 이 경우, 플레이어의 클라이언트에서 시작된 애니메이션은 서버와 다른 모든 클라이언트에 자동으로 복제됩니다.

## Properties

### AnimationId

`string`

Animation 객체가 참조할 애니메이션의 에셋 ID를 설정합니다.

애니메이션의 에셋 ID는 에셋을 임포트할 때 생성됩니다.

#### Code Samples

```lua
local Players = game:GetService("Players")
local LocalPlayer = Players.LocalPlayer

repeat wait() until LocalPlayer.Character

local Character = LocalPlayer.Character
local Humanoid = Character:WaitForChild("Humanoid")

local Animation = Instance.new("Animation")
Animation.AnimationId = "ovdrassetid://18850100" -- WinAnimation01

local Animator = Humanoid:FindFirstChild("Animator")
local AnimationTrack = Animator:LoadAnimation(Animation)

AnimationTrack:Play()
```

## Methods

## Events

## See also

{% content-ref url="/pages/GWE1QQYA5ZKybkJcVPtz" %}
[캐릭터 애니메이션](/korean/manual/studio-manual/character/character-animation.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/animation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
